Skip to content

Attach Allow-All-Traffic Security Group

POST
/api/v1/kubernetes/allow-all-traffic-node/{service_id}/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/kubernetes/allow-all-traffic-node/{service_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{}'

Attaches an “allow all traffic” security group to the cluster’s nodes, opening all inbound and outbound traffic. The request body is empty. Use the cluster service_id.

service_id
required
integer

The cluster service_id, as returned by List.

Example

12345
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request.

Example

<API_KEY>
location
required
string

Region of the cluster.

Example

<LOCATION>
Media typeapplication/json

The allow-all-traffic action takes an empty request body.

object

Example

{}

Successful response

Media typeapplication/json
object
code
integer
data
object
errors
object
message
string

Example

{
"code": 200,
"message": "Security Group Attached Successfully"
}